#include <iostream>
using namespace std;
int main( )
{
	int a[100],b[100],c[100],n,m,l,i,j,k;
	cin>>n;
	for(i=0;i<n;i++)
		cin>>a[i];
	cin>>m;
	for(i=0;i<m;i++)
		cin>>b[i];
	l=0;
	for(i=0;i<n;i++)
	{
		for(k=0;k<l;k++)
			if(a[i]==c[k])
				break;
		if(k>=l)
		{
			for(j=0;j<m;j++)
				if(a[i]==b[j])
				{
					c[l]=a[i];
					l++;
					break;
				}
		}
	}
	if(l>0)
		for(i=0;i<l;i++)
			cout<<c[i]<<" ";
	else
		cout<<"no";
	return 0;
}

